org.gradle.api.reporting

## Interface Reporting<T extends ReportContainer>

- Type Parameters:
    `T` - The base type of the report container

      public interface Reporting<T extends ReportContainer>

  An object that provides reporting options

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getReports()` Returns the report container.
    `T` | `reports(Closure closure)` Allow configuration of the report container by closure.

- - ### Method Detail

    - #### getReports

          T getReports()

      Returns the report container.
      Returns:
        The report container

    - #### reports

          T reports(Closure closure)

      Allow configuration of the report container by closure. For example…

           reports {
             html {
               enabled false
             }
             xml.destination "build/reports/myReport.xml"
           }

      Parameters:
        `closure` - The configuration
      Returns:
        The report container